# OSGeo::FDO::Commands::Feature::ISelectAggregatesImp Class Reference
[OSGeo::FDO::Commands::Feature]

Inheritance diagram for OSGeo::FDO::Commands::Feature::ISelectAggregatesImp:

[legend]

List of all members.

## Detailed Description

The ISelectAggregateImp class is a cocrete implementation of interface ISelectAggregates. The ISelectAggregate interface defines a Select command that handle selection of properties that include the use of aggregate functions. This command differs from the ISelect command in a number of ways. It handles selection of properties that are aggregate functions and supports selecting distinct property values. It also includes grouping criteria. The execute method returns an IDataReader which is not tied to a specific class. Unlike Select, ISelectAggregate does not include any locking functions.

()

## Public Member Functions
OSGeo::FDO::Commands::Feature::IDataReader * | Execute ()
| Executes the select command and returns a reference to an IDataReader.
__property System::Boolean | get_Distinct ()
| Get the distinct option.
__property OSGeo::FDO::Commands::IdentifierCollection * | get_Grouping ()
| Gets the IdentifierCollection that holds the list of group by property names. If empty no grouping is used. This list is initially empty and the caller need to add the property that the command should use as a group by criteria. No LOB or Geometry type properties can be used for ordering.
__property OSGeo::FDO::Filter::Filter * | get_GroupingFilter ()
| Gets the grouping by filter.
__property System::Void | set_Distinct (System::Boolean value)
| Set the distinct option of the selection. Non-simple properties such as object properties, geometry properties, raster properties, association properties, etc. will not be supported with Distinct.
__property System::Void | set_GroupingFilter (OSGeo::FDO::Filter::Filter *filter)
| Set the grouping by filter. Use the grouping filter to restrict the groups of returned properties to those groups for which the specified filter is TRUE. For example "order by city" and "min(lanes) = 2". The Filter have to evalute to a binary value(true or false).